<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Request\GetPaymentDetails;

use ConnectPayPayment\Components\Client\Request\GetPaymentDetailsRequest;
use ConnectPayPayment\Components\Struct\Configuration;

class GetPaymentDetailsHydrator implements GetPaymentDetailsRequestHydratorInterface
{
    /**
     * {@inheritdoc}
     */
    public function hydrate(string $paymentId, Configuration $configuration): GetPaymentDetailsRequest
    {
        $request = new GetPaymentDetailsRequest($configuration);

        $request->assign([
            'paymentId' => $paymentId,
        ]);

        return $request;
    }
}
