<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Service\ProvidersService;

interface ProvidersServiceInterface
{
    public const BULK_SIZE = 500;
    public const PROVIDER_ACTIVE_STATUS = 'active';
    public const EXCLUDE_PROVIDERS_BY_COUNTRY = ['DE'];
    public const PROVIDERS_COUNTRY_CODES = ['DE' => 'Germany', 'FI' => 'Finland', 'NL' => 'Netherlands', 'LT' => 'Lithuania'];
    
    /**
     * Retrieve bank providers.
     *
     * @return bool
     */
    public function retrieveProviders(): bool;
}
