<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\ProvidersCountries;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class ProvidersCountriesEntity extends Entity
{
    use EntityIdTrait;

    /**
     * @var string
     */
    protected $code;
    
    /**
     * @var string
     */
    protected $name;
    
    /**
     * @return string
     */
    public function getCode(): string
    {
        return $this->code;
    }

    /**
     * @param string $code
     * @return void
     */
    public function setCode(string $code): void
    {
        $this->code = $id;
    }
    
    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     * @return void
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }
}