<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client;

use ConnectPayPayment\Components\Client\Request\RequestInterface;
use ConnectPayPayment\Components\Client\Response\GenericResponse;
use ConnectPayPayment\Components\Client\Response\ResponseInterface;

interface ClientInterface
{
    /**
     * Make a request
     *
     * @param RequestInterface $request
     * @return GenericResponse
     */
    public function request(RequestInterface $request): ResponseInterface;
}
