<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\BankProviders;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void              add(BankProvidersEntity $entity)
 * @method void              set(string $key, BankProvidersEntity $entity)
 * @method BankProvidersEntity[]    getIterator()
 * @method BankProvidersEntity[]    getElements()
 * @method BankProvidersEntity|null get(string $key)
 * @method BankProvidersEntity|null first()
 * @method BankProvidersEntity|null last()
 */
class BankProvidersCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return BankProvidersEntity::class;
    }
}