<?php declare(strict_types=1);

namespace ConnectPayPayment\Core\Content\ProvidersCountries;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void              add(ProvidersCountriesEntity $entity)
 * @method void              set(string $key, ProvidersCountriesEntity $entity)
 * @method ProvidersCountriesEntity[]    getIterator()
 * @method ProvidersCountriesEntity[]    getElements()
 * @method ProvidersCountriesEntity|null get(string $key)
 * @method ProvidersCountriesEntity|null first()
 * @method ProvidersCountriesEntity|null last()
 */
class ProvidersCountriesCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return ProvidersCountriesEntity::class;
    }
}